# Generated from svg-graph-2.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name svg-graph

Name: rubygem-%{gem_name}
Version: 2.2.1
Release: 1%{?dist}
Summary: SVG:::Graph is a pure Ruby library for generating charts, which are a type of graph where the values of one axis are not scalar
License: GPL-2.0
URL: https://github.com/lumean/svg-graph2
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Gem version of SVG:::Graph. SVG:::Graph is a pure Ruby library for generating
charts,
which are a type of graph where the values of one axis are not scalar.
SVG::Graph has a verry similar API to
the Perl library SVG::TT::Graph, and the resulting charts also look the same.
This isn't surprising,
because SVG::Graph started as a loose port of SVG::TT::Graph, although the
internal code no longer resembles
the Perl original at all.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/GPL.txt
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/README.txt
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Thu Sep 16 2021 mockbuilder - 2.2.1-1
- Initial package
